Digitizing mode not changed when switching layers

2006-04-13 04:20 PM - Tim Sutton

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10138

Description

Create a point layer

Digitise some points

Save changes

Create a line layer

click to start digitizing - attributes dialog immediately pops up - this is because qgis is still in point digitizing mode.

Mode should be changed according to current layer. In addition, I think it would be better if we only showed one digitizing icon at a given

time, swapping out the icon from point/ line/ poly / not available modes. It will take up less space on toolbar and elimiate possibiliy of using

wrong tool.

History

#1 - 2006-05-08 12:11 AM - Marco Hugentobler

Editing is now stopped if the current maplayer changes. We propably also need to deactivate the current editing tool in qgisapp.

#2 - 2006-05-08 11:40 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

I added a test (in qgsmaptoolcapture) if the tool matches the vector type of the current layer and removed the 'stop editing' in case of current layer

changes. This seems to be the simpelst solution to prevent using a wrong capture tool.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
